2

I am trying to install QGIS 2.16 (Nodebo) on my Ubuntu 16.04 LTS but as soon as I start the application I get the following error:

Couldn't load PyQGIS. Python support will be disabled.

Traceback (most recent call last): File "", line 1, in ImportError: No module named qgis.core

Python version: 2.7.12 (default, Jul 1 2016, 15:12:24) [GCC 5.4.0 20160609]

QGIS version: 2.16.2 'Nødebo', 979e1a2

Python path: ['/usr/share/qgis/python', u'/home/matt/.qgis2/python', u'/home/matt/.qgis2/python/plugins', '/usr/share/qgis/python/plugins', '/usr/share/qgis/python', '/home/matt/anaconda2/lib/python2.7', '/home/matt/anaconda2/lib/python2.7/plat-x86_64-linux-gnu', '/home/matt/anaconda2/lib/python2.7/lib-tk', '/home/matt/anaconda2/lib/python2.7/lib-old', '/home/matt/anaconda2/lib/python2.7/lib-dynload', '/home/matt/anaconda2/lib/python2.7/site-packages', '/home/matt/anaconda2/lib/python2.7/site-packages/Sphinx-1.4.1-py2.7.egg', '/home/matt/anaconda2/lib/python2.7/site-packages/setuptools-23.0.0-py2.7.egg']

I've already tried to set the PYTHONPATH variable (to /usr/share/qgis/python) and the LD_LIBRARY_PATH (to /usr/lib/ -> this is where libqgis_core.so.2.16.2 is located. Is this path wrong?)

maybe my anaconda2 makes the trouble but how to solve that?

1 Answer 1

1

I removed the anaconda2 path from my PATH variable and now it works. I wrote a script which sets the PATH variable (remove the anaconda2 path) and starts QGis.

If someone knows a better solution, please let me know!

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.